// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.12.4
// source: score/score_svc.proto

package score

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_score_score_svc_proto protoreflect.FileDescriptor

var file_score_score_svc_proto_rawDesc = []byte{
	0x0a, 0x15, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x5f, 0x73, 0x76,
	0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x1a, 0x11,
	0x73, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x32, 0x53, 0x0a, 0x0c, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x12, 0x43, 0x0a, 0x0c, 0x53, 0x65, 0x74, 0x51, 0x75, 0x69, 0x7a, 0x53, 0x63, 0x6f, 0x72,
	0x65, 0x12, 0x16, 0x2e, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x2e, 0x47, 0x65, 0x74, 0x53, 0x63, 0x6f,
	0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x73, 0x63, 0x6f, 0x72,
	0x65, 0x2e, 0x53, 0x65, 0x74, 0x53, 0x63, 0x6f, 0x72, 0x65, 0x51, 0x75, 0x69, 0x7a, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x3d, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x6f, 0x2d, 0x70, 0x72, 0x6f, 0x2d, 0x63, 0x61, 0x70, 0x74,
	0x2f, 0x70, 0x6c, 0x61, 0x74, 0x7a, 0x69, 0x2d, 0x67, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2d,
	0x61, 0x70, 0x69, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x70, 0x62, 0x2f,
	0x73, 0x63, 0x6f, 0x72, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_score_score_svc_proto_goTypes = []interface{}{
	(*GetScoreRequest)(nil),      // 0: score.GetScoreRequest
	(*SetScoreQuizResponse)(nil), // 1: score.SetScoreQuizResponse
}
var file_score_score_svc_proto_depIdxs = []int32{
	0, // 0: score.ScoreService.SetQuizScore:input_type -> score.GetScoreRequest
	1, // 1: score.ScoreService.SetQuizScore:output_type -> score.SetScoreQuizResponse
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_score_score_svc_proto_init() }
func file_score_score_svc_proto_init() {
	if File_score_score_svc_proto != nil {
		return
	}
	file_score_score_proto_init()
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_score_score_svc_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_score_score_svc_proto_goTypes,
		DependencyIndexes: file_score_score_svc_proto_depIdxs,
	}.Build()
	File_score_score_svc_proto = out.File
	file_score_score_svc_proto_rawDesc = nil
	file_score_score_svc_proto_goTypes = nil
	file_score_score_svc_proto_depIdxs = nil
}
